TUGAS2/urls.py
from django.conf.urls import url,include
from django.contrib import admin
import profile.urls as profile
import login_status.urls as login_status
import halaman_status.urls as halaman_status
import riwayat.urls as riwayat
import pencarian_mahasiswa.urls as pencarian_mahasiswa
urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^profile/', include(profile,namespace='profile')), 
    url(r'^admin/', admin.site.urls),
    url(r'^login-status/', include(login_status, namespace='login-status')),
    url(r'^halaman-status/', include(halaman_status, namespace='halaman-status')),
    url(r'^riwayat/', include(riwayat, namespace='riwayat')),
    url(r'^pencarian-mahasiswa/', include(pencarian_mahasiswa, namespace='pencarian-mahasiswa')),

]

profile/urls.py
from django.conf.urls import url
from .views import index, edit

#url for app, add your URL Configuration

urlpatterns = [
    url(r'^$', index, name='index'),
    url(r'^edit/$', edit, name='edit'),
    ]

profile/models.py
from django.db import models

# Create your models here.

class DataProfil(models.Model):
	name = models.CharField(max_length=250)
	npm = models.CharField(max_length=20)
	keahlian = models.CharField(max_length=200)
	email = models.EmailField(max_length=200)
	profilLinkedin = models.URLField(max_length=200)

profile/views.py
from __future__ import unicode_literals
from django.urls import reverse
from django.shortcuts import render
from .models import DataProfil
from login_status.views import index
from .utils import *
# -*- coding: utf-8 -*-
from django.http import *
from django.views.decorators.csrf import csrf_exempt
# Create your views here.


response={}
def index(request):     
    response['author'] = "Joseph J" #TODO Implement yourname
    html = "profile/profile.html"
    return render(request, html, response)   
''' def index(request):
    if 'user_login' in request.session.keys():
        return HttpResponseRedirect(reverse('login-status:index'))
    else:
        kode_identitas = get_data_user(request, 'kode_identitas')
        user_exist = check_user_in_database(request, kode_identitas)
        if (user_exist):
            pengguna = DataProfil.objects.get(npm = kode_identitas)
        else:
            pengguna = create_new_user(request)
        response['user'] = pengguna
        html = 'profile/profile.html'
        response['menuSelected'] = 'profile'
        return render(request, html, response)  '''
    
def edit(request):
    response['author'] = "Joseph J" #TODO Implement yourname
    html = "profile/table/edit.html"
    return render(request, html, response)    

profile/templates/profile/lihatprofile.html
{% extends "profile/layout/base.html" %}
{% block content %}

<div>
    <h2>Welcome,</h2>
    <h1 style="margin-bottom:30px">{{ profile.name }}</h1>
    <div class="info" style="display:flex">
        <img src="{{profile.link}}" width="15%" height="15%">
        <div class="tombol">
            <button class="btn btn-lg btn-block btn-info" >Lihat Forum</button>
            <a href="{% url 'mahasiswa:edit' %}" class="btn btn-lg btn-block btn-info" >Edit Profile</button>
            <a href="{% url 'mahasiswa:auth_logout' %}" class="btn btn-lg btn-block btn-info" onclick="return confirm('Keluar?')">
            Logout </a>
        </div>
        <div class="status">
            <h1> {{ jml_status }} </h1>
            <h2> Status </h2>
        </div>
    </div>
</div>
{% endblock %}

profile/templates/profile/profile.html
{% extends "profile/layout/base.html" %}
{% block content %}
<h2 style="text-align: left">Profile</h2>    
 <div>
<h2>Selamat Datang, </h2>
   <h1 style="margin-bottom:30px">{{ user.name }}</h1>
    <div class="info" style="display:flex">
         <img src="{{profile.link}}" width="15%" height="15%">
           <div class="tombol">
                <button class="btn btn-lg btn-block btn-info" >Lihat Forum</button>
                <a href="{% url 'profile:edit' %}" class="btn btn-lg btn-block btn-info" >Edit Profile</button>
                <a href="" class="btn btn-lg btn-block btn-info" onclick="return confirm('Keluar?')">
                Logout </a>
            </div>
           <div class="status">
              <h1> </h1>
              <h2> Status </h2>
           </div>
    </div>
</div>
 <div> 
     <!-- Nav tabs -->
     <ul class="nav nav-tabs nav-justified" role="tablist">
         <li role="presentation" class="active">
             <a href="#profilnama" aria-controls="home" role="tab" data-toggle="tab"> Profile </a>
         </li>
         <li role="presentation">
             <a href="#riwayat" aria-controls="settings" role="tab" data-toggle="tab"> Riwayat </a>
         </li>
         <li role="presentation">
             <a href="#status" aria-controls="settings" role="tab" data-toggle="tab"> Status </a>
         </li>
     </ul>
     <!-- Tab panes -->
     <div class="tab-content">
         <div role="tabpanel" class="tab-pane fade in active" id="profilnama">
             {% include 'profile/table/profilnama.html' %}
         </div>
         <div role="tabpanel" class="tab-pane fade" id="riwayat">
             <!-- Apply the same here -->
         </div>
         <div role="tabpanel" class="tab-pane fade" id="status">
             <!-- Apply the same here -->
         </div>
     </div>
 </div>

{% endblock %}